import { CosmwasmChains } from "./types";
export declare const DEFAULT_FEE = 1000000;
export declare const MSG_EXECUTE_CONTRACT_TYPE_URL = "/cosmwasm.wasm.v1.MsgExecuteContract";
export declare const IBC_MSG_TYPE = "/ibc.applications.transfer.v1.MsgTransfer";
export declare const IBC_TRANSFER_PORT = "transfer";
export declare const IBC_PACKET_SEND = "send_packet";
export declare const IBC_PACKET_RECEIVE = "recv_packet";
export declare const IBC_PACKET_DST = "packet_dst_channel";
export declare const IBC_PACKET_SRC = "packet_src_channel";
export declare const IBC_PACKET_SRC_PORT = "packet_src_port";
export declare const IBC_PACKET_DST_PORT = "packet_dst_port";
export declare const IBC_PACKET_SEQ = "packet_sequence";
export declare const IBC_PACKET_DATA = "packet_data";
export declare const IBC_PACKET_CONN = "packet_connection";
export declare const IBC_TIMEOUT_MILLIS: number;
export declare const chainToAddressPrefix: (<K1 extends "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira">(args_0: K1) => (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1) extends "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" ? {
    readonly Cosmoshub: "cosmos";
    readonly Evmos: "evmos";
    readonly Injective: "inj";
    readonly Kujira: "kuji";
    readonly Osmosis: "osmo";
    readonly Sei: "sei";
    readonly Terra: "terra";
    readonly Terra2: "terra";
    readonly Wormchain: "wormhole";
    readonly Xpla: "xpla";
}[("Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? {
    readonly Cosmoshub: "cosmos";
    readonly Evmos: "evmos";
    readonly Injective: "inj";
    readonly Kujira: "kuji";
    readonly Osmosis: "osmo";
    readonly Sei: "sei";
    readonly Terra: "terra";
    readonly Terra2: "terra";
    readonly Wormchain: "wormhole";
    readonly Xpla: "xpla";
}[("Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : {
    readonly Cosmoshub: "cosmos";
    readonly Evmos: "evmos";
    readonly Injective: "inj";
    readonly Kujira: "kuji";
    readonly Osmosis: "osmo";
    readonly Sei: "sei";
    readonly Terra: "terra";
    readonly Terra2: "terra";
    readonly Wormchain: "wormhole";
    readonly Xpla: "xpla";
}[("Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : never) & {
    get: (args_0: string) => "wormhole" | "cosmos" | "evmos" | "inj" | "kuji" | "osmo" | "sei" | "terra" | "xpla" | undefined;
    has: (args_0: string) => boolean;
};
export declare const addressPrefixToChain: (<K1 extends "wormhole" | "cosmos" | "evmos" | "inj" | "kuji" | "osmo" | "sei" | "terra" | "xpla">(args_0: K1) => (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1) extends "wormhole" | "cosmos" | "evmos" | "inj" | "kuji" | "osmo" | "sei" | "terra" | "xpla" ? {
    cosmos: ["Cosmoshub"];
    evmos: ["Evmos"];
    inj: ["Injective"];
    kuji: ["Kujira"];
    osmo: ["Osmosis"];
    sei: ["Sei"];
    terra: ["Terra", "Terra2"];
    wormhole: ["Wormchain"];
    xpla: ["Xpla"];
}[("wormhole" | "cosmos" | "evmos" | "inj" | "kuji" | "osmo" | "sei" | "terra" | "xpla") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? {
    cosmos: ["Cosmoshub"];
    evmos: ["Evmos"];
    inj: ["Injective"];
    kuji: ["Kujira"];
    osmo: ["Osmosis"];
    sei: ["Sei"];
    terra: ["Terra", "Terra2"];
    wormhole: ["Wormchain"];
    xpla: ["Xpla"];
}[("wormhole" | "cosmos" | "evmos" | "inj" | "kuji" | "osmo" | "sei" | "terra" | "xpla") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : {
    cosmos: ["Cosmoshub"];
    evmos: ["Evmos"];
    inj: ["Injective"];
    kuji: ["Kujira"];
    osmo: ["Osmosis"];
    sei: ["Sei"];
    terra: ["Terra", "Terra2"];
    wormhole: ["Wormchain"];
    xpla: ["Xpla"];
}[("wormhole" | "cosmos" | "evmos" | "inj" | "kuji" | "osmo" | "sei" | "terra" | "xpla") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : never) & {
    get: (args_0: string) => ["Cosmoshub"] | ["Evmos"] | ["Injective"] | ["Kujira"] | ["Osmosis"] | ["Sei"] | ["Wormchain"] | ["Xpla"] | ["Terra", "Terra2"] | undefined;
    has: (args_0: string) => boolean;
};
export declare const chainToNativeDenoms: (<K1 extends "Mainnet" | "Testnet" | "Devnet", K2 extends keyof ((K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1) extends "Mainnet" | "Testnet" | "Devnet" ? {
    readonly Mainnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "aevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Testnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Devnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? {
    readonly Mainnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "aevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Testnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Devnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : {
    readonly Mainnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "aevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Testnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Devnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : never) extends infer T ? T extends keyof ((K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1) extends "Mainnet" | "Testnet" | "Devnet" ? {
    readonly Mainnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "aevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Testnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Devnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? {
    readonly Mainnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "aevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Testnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Devnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : {
    readonly Mainnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "aevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Testnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Devnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : never) ? T extends `bigint(${infer V extends bigint})` ? V : T extends `boolean(${infer V_1 extends boolean})` ? V_1 : T : never : never>(args_0: K1, args_1: K2) => (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1) extends "Mainnet" | "Testnet" | "Devnet" ? {
    readonly Mainnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "aevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Testnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Devnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2) extends keyof {
    readonly Mainnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "aevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Testnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Devnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] ? {
    readonly Mainnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "aevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Testnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Devnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)][keyof {
    readonly Mainnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "aevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Testnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Devnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] & (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? {
    readonly Mainnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "aevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Testnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Devnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)][keyof {
    readonly Mainnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "aevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Testnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Devnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] & (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2)] : {
    readonly Mainnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "aevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Testnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Devnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)][keyof {
    readonly Mainnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "aevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Testnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Devnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] & (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2)] : never : {
    readonly Mainnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "aevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Testnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
    readonly Devnet: {
        readonly Cosmoshub: "uatom";
        readonly Evmos: "atevmos";
        readonly Injective: "inj";
        readonly Kujira: "kuji";
        readonly Osmosis: "uosmo";
        readonly Sei: "usei";
        readonly Terra: "luna";
        readonly Terra2: "uluna";
        readonly Wormchain: "uworm";
        readonly Xpla: "uxpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : never) & {
    get: (args_0: string, args_1: string) => "inj" | "kuji" | "uatom" | "aevmos" | "uosmo" | "usei" | "luna" | "uluna" | "uworm" | "uxpla" | "atevmos" | undefined;
    has: (args_0: string, args_1: string) => boolean;
};
export declare const nativeDenomToChain: (<K1 extends "Mainnet" | "Testnet" | "Devnet", K2 extends keyof ((K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1) extends "Mainnet" | "Testnet" | "Devnet" ? {
    Mainnet: {
        uatom: "Cosmoshub";
        aevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Testnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Devnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? {
    Mainnet: {
        uatom: "Cosmoshub";
        aevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Testnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Devnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : {
    Mainnet: {
        uatom: "Cosmoshub";
        aevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Testnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Devnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : never) extends infer T ? T extends keyof ((K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1) extends "Mainnet" | "Testnet" | "Devnet" ? {
    Mainnet: {
        uatom: "Cosmoshub";
        aevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Testnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Devnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? {
    Mainnet: {
        uatom: "Cosmoshub";
        aevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Testnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Devnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : {
    Mainnet: {
        uatom: "Cosmoshub";
        aevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Testnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Devnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : never) ? T extends `bigint(${infer V extends bigint})` ? V : T extends `boolean(${infer V_1 extends boolean})` ? V_1 : T : never : never>(args_0: K1, args_1: K2) => (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1) extends "Mainnet" | "Testnet" | "Devnet" ? {
    Mainnet: {
        uatom: "Cosmoshub";
        aevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Testnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Devnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2) extends keyof {
    Mainnet: {
        uatom: "Cosmoshub";
        aevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Testnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Devnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] ? {
    Mainnet: {
        uatom: "Cosmoshub";
        aevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Testnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Devnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)][keyof {
    Mainnet: {
        uatom: "Cosmoshub";
        aevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Testnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Devnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] & (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? {
    Mainnet: {
        uatom: "Cosmoshub";
        aevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Testnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Devnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)][keyof {
    Mainnet: {
        uatom: "Cosmoshub";
        aevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Testnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Devnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] & (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2)] : {
    Mainnet: {
        uatom: "Cosmoshub";
        aevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Testnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Devnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)][keyof {
    Mainnet: {
        uatom: "Cosmoshub";
        aevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Testnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Devnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] & (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2)] : never : {
    Mainnet: {
        uatom: "Cosmoshub";
        aevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Testnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
    Devnet: {
        uatom: "Cosmoshub";
        atevmos: "Evmos";
        inj: "Injective";
        kuji: "Kujira";
        uosmo: "Osmosis";
        usei: "Sei";
        luna: "Terra";
        uluna: "Terra2";
        uworm: "Wormchain";
        uxpla: "Xpla";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : never) & {
    get: (args_0: string, args_1: string) => "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Kujira" | undefined;
    has: (args_0: string, args_1: string) => boolean;
};
export declare const cosmwasmNetworkChainToRestUrls: (<K1 extends "Mainnet" | "Testnet" | "Devnet", K2 extends keyof ((K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1) extends "Mainnet" | "Testnet" | "Devnet" ? {
    readonly Mainnet: {
        readonly Injective: "https://lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.org:1317";
    };
    readonly Testnet: {
        readonly Injective: "https://k8s.testnet.lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.dev:1317";
    };
    readonly Devnet: {
        readonly Injective: "https://localhost:1234";
        readonly Evmos: "https://localhost:1233";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? {
    readonly Mainnet: {
        readonly Injective: "https://lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.org:1317";
    };
    readonly Testnet: {
        readonly Injective: "https://k8s.testnet.lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.dev:1317";
    };
    readonly Devnet: {
        readonly Injective: "https://localhost:1234";
        readonly Evmos: "https://localhost:1233";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : {
    readonly Mainnet: {
        readonly Injective: "https://lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.org:1317";
    };
    readonly Testnet: {
        readonly Injective: "https://k8s.testnet.lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.dev:1317";
    };
    readonly Devnet: {
        readonly Injective: "https://localhost:1234";
        readonly Evmos: "https://localhost:1233";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : never) extends infer T ? T extends keyof ((K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1) extends "Mainnet" | "Testnet" | "Devnet" ? {
    readonly Mainnet: {
        readonly Injective: "https://lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.org:1317";
    };
    readonly Testnet: {
        readonly Injective: "https://k8s.testnet.lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.dev:1317";
    };
    readonly Devnet: {
        readonly Injective: "https://localhost:1234";
        readonly Evmos: "https://localhost:1233";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? {
    readonly Mainnet: {
        readonly Injective: "https://lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.org:1317";
    };
    readonly Testnet: {
        readonly Injective: "https://k8s.testnet.lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.dev:1317";
    };
    readonly Devnet: {
        readonly Injective: "https://localhost:1234";
        readonly Evmos: "https://localhost:1233";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : {
    readonly Mainnet: {
        readonly Injective: "https://lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.org:1317";
    };
    readonly Testnet: {
        readonly Injective: "https://k8s.testnet.lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.dev:1317";
    };
    readonly Devnet: {
        readonly Injective: "https://localhost:1234";
        readonly Evmos: "https://localhost:1233";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : never) ? T extends `bigint(${infer V extends bigint})` ? V : T extends `boolean(${infer V_1 extends boolean})` ? V_1 : T : never : never>(args_0: K1, args_1: K2) => (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1) extends "Mainnet" | "Testnet" | "Devnet" ? {
    readonly Mainnet: {
        readonly Injective: "https://lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.org:1317";
    };
    readonly Testnet: {
        readonly Injective: "https://k8s.testnet.lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.dev:1317";
    };
    readonly Devnet: {
        readonly Injective: "https://localhost:1234";
        readonly Evmos: "https://localhost:1233";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2) extends keyof {
    readonly Mainnet: {
        readonly Injective: "https://lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.org:1317";
    };
    readonly Testnet: {
        readonly Injective: "https://k8s.testnet.lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.dev:1317";
    };
    readonly Devnet: {
        readonly Injective: "https://localhost:1234";
        readonly Evmos: "https://localhost:1233";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] ? {
    readonly Mainnet: {
        readonly Injective: "https://lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.org:1317";
    };
    readonly Testnet: {
        readonly Injective: "https://k8s.testnet.lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.dev:1317";
    };
    readonly Devnet: {
        readonly Injective: "https://localhost:1234";
        readonly Evmos: "https://localhost:1233";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)][keyof {
    readonly Mainnet: {
        readonly Injective: "https://lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.org:1317";
    };
    readonly Testnet: {
        readonly Injective: "https://k8s.testnet.lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.dev:1317";
    };
    readonly Devnet: {
        readonly Injective: "https://localhost:1234";
        readonly Evmos: "https://localhost:1233";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] & (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? {
    readonly Mainnet: {
        readonly Injective: "https://lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.org:1317";
    };
    readonly Testnet: {
        readonly Injective: "https://k8s.testnet.lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.dev:1317";
    };
    readonly Devnet: {
        readonly Injective: "https://localhost:1234";
        readonly Evmos: "https://localhost:1233";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)][keyof {
    readonly Mainnet: {
        readonly Injective: "https://lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.org:1317";
    };
    readonly Testnet: {
        readonly Injective: "https://k8s.testnet.lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.dev:1317";
    };
    readonly Devnet: {
        readonly Injective: "https://localhost:1234";
        readonly Evmos: "https://localhost:1233";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] & (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2)] : {
    readonly Mainnet: {
        readonly Injective: "https://lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.org:1317";
    };
    readonly Testnet: {
        readonly Injective: "https://k8s.testnet.lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.dev:1317";
    };
    readonly Devnet: {
        readonly Injective: "https://localhost:1234";
        readonly Evmos: "https://localhost:1233";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)][keyof {
    readonly Mainnet: {
        readonly Injective: "https://lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.org:1317";
    };
    readonly Testnet: {
        readonly Injective: "https://k8s.testnet.lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.dev:1317";
    };
    readonly Devnet: {
        readonly Injective: "https://localhost:1234";
        readonly Evmos: "https://localhost:1233";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] & (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2)] : never : {
    readonly Mainnet: {
        readonly Injective: "https://lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.org:1317";
    };
    readonly Testnet: {
        readonly Injective: "https://k8s.testnet.lcd.injective.network";
        readonly Evmos: "https://rest.bd.evmos.dev:1317";
    };
    readonly Devnet: {
        readonly Injective: "https://localhost:1234";
        readonly Evmos: "https://localhost:1233";
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : never) & {
    get: (args_0: string, args_1: string) => "https://lcd.injective.network" | "https://rest.bd.evmos.org:1317" | "https://k8s.testnet.lcd.injective.network" | "https://rest.bd.evmos.dev:1317" | "https://localhost:1234" | "https://localhost:1233" | undefined;
    has: (args_0: string, args_1: string) => boolean;
};
export type IbcChannels = Partial<Record<CosmwasmChains, string>>;
export declare const networkChainToChannels: (<K1 extends "Mainnet" | "Testnet" | "Devnet", K2 extends keyof ((K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1) extends "Mainnet" | "Testnet" | "Devnet" ? {
    readonly Mainnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-4";
        };
    };
    readonly Testnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-9";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-3086";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-3906";
        };
    };
    readonly Devnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-1";
            readonly Osmosis: "channel-2";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-1";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-1";
        };
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? {
    readonly Mainnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-4";
        };
    };
    readonly Testnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-9";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-3086";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-3906";
        };
    };
    readonly Devnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-1";
            readonly Osmosis: "channel-2";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-1";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-1";
        };
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : {
    readonly Mainnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-4";
        };
    };
    readonly Testnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-9";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-3086";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-3906";
        };
    };
    readonly Devnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-1";
            readonly Osmosis: "channel-2";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-1";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-1";
        };
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : never) extends infer T ? T extends keyof ((K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1) extends "Mainnet" | "Testnet" | "Devnet" ? {
    readonly Mainnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-4";
        };
    };
    readonly Testnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-9";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-3086";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-3906";
        };
    };
    readonly Devnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-1";
            readonly Osmosis: "channel-2";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-1";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-1";
        };
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? {
    readonly Mainnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-4";
        };
    };
    readonly Testnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-9";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-3086";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-3906";
        };
    };
    readonly Devnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-1";
            readonly Osmosis: "channel-2";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-1";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-1";
        };
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : {
    readonly Mainnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-4";
        };
    };
    readonly Testnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-9";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-3086";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-3906";
        };
    };
    readonly Devnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-1";
            readonly Osmosis: "channel-2";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-1";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-1";
        };
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : never) ? T extends `bigint(${infer V extends bigint})` ? V : T extends `boolean(${infer V_1 extends boolean})` ? V_1 : T : never : never>(args_0: K1, args_1: K2) => (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1) extends "Mainnet" | "Testnet" | "Devnet" ? {
    readonly Mainnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-4";
        };
    };
    readonly Testnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-9";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-3086";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-3906";
        };
    };
    readonly Devnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-1";
            readonly Osmosis: "channel-2";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-1";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-1";
        };
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2) extends keyof {
    readonly Mainnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-4";
        };
    };
    readonly Testnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-9";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-3086";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-3906";
        };
    };
    readonly Devnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-1";
            readonly Osmosis: "channel-2";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-1";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-1";
        };
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] ? {
    readonly Mainnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-4";
        };
    };
    readonly Testnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-9";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-3086";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-3906";
        };
    };
    readonly Devnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-1";
            readonly Osmosis: "channel-2";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-1";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-1";
        };
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)][keyof {
    readonly Mainnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-4";
        };
    };
    readonly Testnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-9";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-3086";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-3906";
        };
    };
    readonly Devnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-1";
            readonly Osmosis: "channel-2";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-1";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-1";
        };
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] & (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? {
    readonly Mainnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-4";
        };
    };
    readonly Testnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-9";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-3086";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-3906";
        };
    };
    readonly Devnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-1";
            readonly Osmosis: "channel-2";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-1";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-1";
        };
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)][keyof {
    readonly Mainnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-4";
        };
    };
    readonly Testnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-9";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-3086";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-3906";
        };
    };
    readonly Devnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-1";
            readonly Osmosis: "channel-2";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-1";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-1";
        };
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] & (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2)] : {
    readonly Mainnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-4";
        };
    };
    readonly Testnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-9";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-3086";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-3906";
        };
    };
    readonly Devnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-1";
            readonly Osmosis: "channel-2";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-1";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-1";
        };
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)][keyof {
    readonly Mainnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-4";
        };
    };
    readonly Testnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-9";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-3086";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-3906";
        };
    };
    readonly Devnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-1";
            readonly Osmosis: "channel-2";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-1";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-1";
        };
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] & (K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2)] : never : {
    readonly Mainnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-4";
        };
    };
    readonly Testnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-5";
            readonly Osmosis: "channel-9";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-3086";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-3906";
        };
    };
    readonly Devnet: {
        readonly Wormchain: {
            readonly Cosmoshub: "channel-1";
            readonly Osmosis: "channel-2";
        };
        readonly Cosmoshub: {
            readonly Wormchain: "channel-1";
        };
        readonly Osmosis: {
            readonly Wormchain: "channel-1";
        };
    };
}[("Mainnet" | "Testnet" | "Devnet") & (K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1)] : never) & {
    get: (args_0: string, args_1: string) => {
        readonly Cosmoshub: "channel-5";
        readonly Osmosis: "channel-4";
    } | {
        readonly Cosmoshub: "channel-5";
        readonly Osmosis: "channel-9";
    } | {
        readonly Cosmoshub: "channel-1";
        readonly Osmosis: "channel-2";
    } | undefined;
    has: (args_0: string, args_1: string) => boolean;
};
export declare const evmLikeChains: readonly ["Evmos", "Injective"];
export type CosmwasmEvmChain = (typeof evmLikeChains)[number];
//# sourceMappingURL=constants.d.ts.map